免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 1240 | 回复: 0

oralce 9i 在 solaris上的安装 native vm not supported [复制链接]

论坛徽章:
0
发表于 2007-03-18 22:12 |显示全部楼层
http://www.cublog.cn/u/3479/showart.php?id=10023
上面的是java 在solaris的 安装.
具体步骤如下:
本文讲叙jdk在solaris上的安装方法。
一、J2SE安装包的安装
1、将安装文件j2sdk-1_4_1_04-solaris-sparc[1].tar.Z拷贝到机器上。
# cd  /home/scada
# mkdir  java1.4
将安装文件拷贝到java1.4目录中。
2、解压缩
# gzip -d  j2sdk-1_4_1_04-solaris-sparc[1].tar.Z
# tar  xvf  j2sdk-1_4_1_04-solaris-sparc[1].tar
3、卸载以前版本的Java 2 SDK.
注意:Java 2 SDK's 1.3.0、 J2SE 1.3.1、和1.4.0以上版本的安装缺省路径是/usr/j2se;使用java -version命令可以查看当前java版本。
要安装J2SE 1.4.1必须卸载以前的java版本,请执行以下命令:
# pkgrm SUNWj3dmo SUNWj3man SUNWj3dev SUNWj3rt
# pkgrm SUNWlj3dv SUNWlj3rt
# pkgrm SUNWjej3m SUNWjpj3m SUNWjuj3m
如果符号连接/usr/java指向/usr/java1.2,那么请删除它,并重新建立符号连接指向Java 2 SDK 1.4.1的安装目录/usr/j2se。
#rm /usr/java
# ln –s  /usr/j2se  /usr/java
4、使用pkgadd命令安装
# pkgadd -d . SUNWj3rt SUNWj3dev SUNWj3man SUNWj3dmo
5、删除tar文件和解压缩目录
新版本的j2se 1.4.1已经安装完毕,需要清理安装后不必要的文件。
# rm –R /home/scada/java1.4
二、J2SE二进制文件的安装
1、把安装文件拷贝到安装目录/usr下。
2、改变安装文件的权限,使之可以执行。
# chmod +x j2sdk-1_4_1_04-solaris-sparc.sh
3、运行安装文件
# ./j2sdk-1_4_1_04-solaris-sparc.sh
首先会出现license,选择接受许可协议,继续安装。安装完毕后会在/usr目录生成一个j2sdk1.4.1_04目录。
4、建立连接
# rm /usr/java
# ln – s /usr/j2sdk1.4.1_04  /usr/java
ok,完成了安装。
如果出现 error:native vm not supported 是因为 oracle的版本的java安装需要native-thread.(java1.4.2后的版本就不支持native了)
解决的办法是
1)卸载solaris上自己带的java,重新安装java1.4
2)把安装oracle9i的脚本中的native-thread出掉(具体如何操作还不知道,自己感觉是可以的)
               
               
               

本文来自ChinaUnix博客,如果查看原文请点:http://blog.chinaunix.net/u/1386/showart_261041.html
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP